<div class="side-nav">
    <div class="side-wallet-box default-wallet mb-0">
        <div class="user-balance-card">
            <div class="wallet-name">
                <div class="name"><?php echo e(__('Account Balance')); ?></div>
                <div class="default"><?php echo e(__('Wallet')); ?></div>
            </div>
            <div class="wallet-info">
                <div class="wallet-id"><i icon-name="wallet"></i><?php echo e(__('Main Wallet')); ?></div>
                <div class="balance"><?php echo e(setting('currency_symbol','global').$user->balance); ?></div>
            </div>
            <div class="wallet-info">
                <div class="wallet-id"><i icon-name="landmark"></i><?php echo e(__('Profit Wallet')); ?></div>
                <div class="balance"><?php echo e(setting('currency_symbol','global').$user->profit_balance); ?></div>
            </div>
        </div>
        <div class="actions">
            <a href="<?php echo e(route('user.deposit.amount')); ?>" class="user-sidebar-btn"><i
                    class="anticon anticon-file-add"></i><?php echo e(__('Deposit')); ?></a>
            <a href="<?php echo e(route('user.schema')); ?>" class="user-sidebar-btn red-btn"><i
                    class="anticon anticon-export"></i><?php echo e(__('Invest Now')); ?></a>
        </div>
    </div>
    <div class="side-nav-inside">
        <ul class="side-nav-menu">
            <li class="side-nav-item <?php echo e(isActive('user.dashboard')); ?>">
                <a href="<?php echo e(route('user.dashboard')); ?>"><i
                        class="anticon anticon-appstore"></i><span><?php echo e(__('Dashboard')); ?></span></a>
            </li>

            <li class="side-nav-item <?php echo e(isActive('user.schema*')); ?>">
                <a href="<?php echo e(route('user.schema')); ?>"><i
                        class="anticon anticon-check-square"></i><span><?php echo e(__('All Schema')); ?></span></a>
            </li>
            <li class="side-nav-item <?php echo e(isActive('user.invest*')); ?>">
                <a href="<?php echo e(route('user.invest-logs')); ?>"><i
                        class="anticon anticon-copy"></i><span><?php echo e(__('Schema Logs')); ?></span></a>
            </li>

            <li class="side-nav-item <?php echo e(isActive('user.transactions*')); ?>">
                <a href="<?php echo e(route('user.transactions')); ?>"><i
                        class="anticon anticon-inbox"></i><span><?php echo e(__('All Transactions')); ?></span></a>
            </li>


            <li class="side-nav-item <?php if( Route::currentRouteName() != 'user.deposit.log'): ?> <?php echo e(isActive('user.deposit*')); ?> <?php endif; ?>">
                <a href="<?php echo e(route('user.deposit.amount')); ?>"><i
                        class="anticon anticon-file-add"></i><span><?php echo e(__('Add Money')); ?></span></a>
            </li>
            <li class="side-nav-item <?php echo e(isActive('user.deposit.log')); ?>">
                <a href="<?php echo e(route('user.deposit.log')); ?>"><i
                        class="anticon anticon-folder-add"></i><span><?php echo e(__('Add Money Log')); ?></span></a>
            </li>

            <li class="side-nav-item <?php echo e(isActive('user.wallet-exchange')); ?>">
                <a href="<?php echo e(route('user.wallet-exchange')); ?>"><i
                        class="anticon anticon-transaction"></i><span><?php echo e(__('Wallet Exchange')); ?></span></a>
            </li>

            <li class="side-nav-item <?php if( Route::currentRouteName() != 'user.send-money.log'): ?> <?php echo e(isActive('user.send-money*')); ?> <?php endif; ?>">
                <a href="<?php echo e(route('user.send-money.view')); ?>"><i
                        class="anticon anticon-export"></i><span><?php echo e(__('Send Money')); ?></span></a>
            </li>
            <li class="side-nav-item <?php echo e(isActive('user.send-money.log')); ?>">
                <a href="<?php echo e(route('user.send-money.log')); ?>"><i
                        class="anticon anticon-cloud"></i><span><?php echo e(__('Send Money Log')); ?></span></a>
            </li>

            <li class="side-nav-item <?php if( Route::currentRouteName() != 'user.withdraw.log'): ?> <?php echo e(isActive('user.withdraw*')); ?> <?php endif; ?>">
                <a href="<?php echo e(route('user.withdraw.view')); ?>"><i
                        class="anticon anticon-bank"></i><span><?php echo e(__('Withdraw')); ?></span></a>
            </li>
            <li class="side-nav-item <?php echo e(isActive('user.withdraw.log')); ?>">
                <a href="<?php echo e(route('user.withdraw.log')); ?>"><i
                        class="anticon anticon-credit-card"></i><span><?php echo e(__('Withdraw Log')); ?></span></a>
            </li>

            <li class="side-nav-item <?php echo e(isActive('user.ranking-badge')); ?>">
                <a href="<?php echo e(route('user.ranking-badge')); ?>"><i
                        class="anticon anticon-star"></i><span><?php echo e(__('Ranking Badge')); ?></span></a>
            </li>

            <?php if(setting('sign_up_referral','permission')): ?>
                <li class="side-nav-item <?php echo e(isActive('user.referral')); ?>">
                    <a href="<?php echo e(route('user.referral')); ?>"><i
                            class="anticon anticon-usergroup-add"></i><span><?php echo e(__('Referral')); ?></span></a>
                </li>
            <?php endif; ?>

            <li class="side-nav-item <?php echo e(isActive('user.setting*')); ?>">
                <a href="<?php echo e(route('user.setting.show')); ?>"><i
                        class="anticon anticon-setting"></i><span><?php echo e(__('Settings')); ?></span></a>
            </li>
            <li class="side-nav-item <?php echo e(isActive('user.ticket*')); ?>">
                <a href="<?php echo e(route('user.ticket.index')); ?>"
                ><i class="anticon anticon-tool"></i><span><?php echo e(__('Support Tickets')); ?></span></a
                >
            </li>
            <li class="side-nav-item">
                <!-- Authentication -->
                <form method="POST" action="<?php echo e(route('logout')); ?>">
                    <?php echo csrf_field(); ?>
                    <button type="submit" class="site-btn grad-btn w-100">
                        <i class="anticon anticon-logout"></i><span><?php echo e(__('Logout')); ?></span>
                    </button>
                </form>
            </li>
        </ul>
    </div>
</div>
<?php /**PATH /home/globhwzb/app.globalintelmarket.com/resources/views/frontend/include/__user_side_nav.blade.php ENDPATH**/ ?>